package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLNullConstraint extends SQLConstraintImpl implements SQLColumnConstraint {
   protected void accept0(SQLASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public SQLNullConstraint clone() {
      SQLNullConstraint x = new SQLNullConstraint();
      super.cloneTo((SQLConstraintImpl)x);
      return x;
   }
}
